{% extends 'web/articles_base.html' %}
{% load static %}
{% load thumbnail %}
{% load widget_tweaks %}
{% load el_pagination_tags %}
{% load l10n %}

{% block styles %}
    {{ block.super }}
    {% include 'gallery/photoswipe-gallery-styles.html' %}
{% endblock %}

{% block articles_presection_content %}
    <div class="line-section">
        <div class="container">
            <div class="line"></div>
        </div>
    </div>
    {% include 'web/partials/breadcrumbs.html' with path=breadcrumbs %}
{% endblock %}

{% block articles_page_content %}
    <div class="article-full">
        <div class="wrap clearfix">
            <div class="img-block image-gallery" data-src="{{ article.cover.url }}"
                 data-width="{{ article.cover.width }}" data-height="{{ article.cover.height }}"
            >
                {% thumbnail article.cover '350x400' as im %}
                <img src="{{ im.url }}" alt="{{ article.title }}">
                {% endthumbnail %}
            </div>
            <div class="article-info">
                <div class="date">{{ article.created|date:'d F Y' }}</div>
                <div class="article-title">{{ article.title }}</div>
                <div class="article-text">
                    {{ article.text|safe }}
                </div>
                <div class="rate-block {% if available_for_vote %}available-for-vote{% endif %}">
                    <span class="text on-unavailable-for-vote">Оценка:</span>
                    <span class="text on-available-for-vote">Оцените статью:</span>
                    <div class="rates"
                         data-rate-url="{% url 'news:rate' %}" data-article-id="{{ article.id }}">
                        <span class="star-icon">
                            <a title="Оценка 5 из 5" data-value="5"></a>
                        </span><span class="star-icon">
                            <a title="Оценка 4 из 5" data-value="4"></a>
                        </span><span class="star-icon">
                            <a title="Оценка 3 из 5" data-value="3"></a>
                        </span><span class="star-icon ">
                             <a title="Оценка 3 из 5" data-value="2"></a>
                        </span><span class="star-icon">
                            <a title="Оценка 1 из 5" data-value="1"></a>
                        </span>
                        <div class="rating" style="width: {{ article.rating_in_percents|unlocalize }}%"></div>
                    </div>
                </div>
                <div class="leaveComment-sec">
                    <div class="btn-block">
                        <div class="leaveComment-btn">
                            Оставить комментарий
                        </div>
                    </div>
                    <div class="leaveComment-content">
                        <form method="post" action="{% url 'news:add_comment' %}" data-parsley-validate="">
                            {% csrf_token %}
                            <input name="article" value="{{ article.id }}" hidden>
                            <div class="form-row">
                                <div class="form-group col-md-6" id="commentFormEmailField">
                                    <label for="commentemail" class="col-form-label">Email адрес</label>
                                    {% render_field comment_form.email class='form-control' placeholder="Ваш e-mail"  id="commentemail" data-parsley-required=true data-parsley-maxlength=comment_form.email.field.max_length data-parsley-class-handler="#commentFormEmailField" %}
                                </div>
                                <div class="form-group col-md-6" id="commentFormNameField">
                                    <label for="commentname" class="col-form-label">имя</label>
                                    {% render_field comment_form.name class="form-control" id="commentname" placeholder="Ваше имя"  data-parsley-required=true data-parsley-maxlength=comment_form.name.field.max_length data-parsley-class-handler="#commentFormNameField"%}
                                </div>
                            </div>
                            <div class="form-row">
                                <div class="form-group col-md-12" id="commentFormTextField">
                                    <label for="commenttext" class="col-form-label">Комментарий</label>
                                    {% render_field comment_form.text  class="form-control" id="commenttext" placeholder="Текст комментария"  data-parsley-required=true data-parsley-class-handler="#commentFormTextField" %}
                                </div>
                            </div>
                            <button type="submit" class="btn btn__transparent">ОТПРАВИТЬ</button>
                            <small>Нажатием кнопки «Отправить» я даю свое <a target="_blank" href="{% url 'personal' %}">согласие на обработку персональных данных</a></small>
                        </form>
                    </div>
                </div>
                {% if article.comments.all|length %}
                    {% paginate 25 article.comments.all as comments %}
                    <div class="comments">
                        <div class="title">КОММЕНТАРИИ</div>
                        {% for comment in comments.all %}
                            <div class="comment">
                                <div class="clearfix">
                                    <div class="date"><span class="time">{{ comment.created|date:'h:m' }}</span> {{ comment.created|date:'d.m.Y' }}</div>
                                    <div class="name">{{ comment.name }}</div>
                                </div>
                                <div class="text">
                                    {{ comment.text }}
                                </div>
                            </div>
                        {% endfor %}
                    </div>
                    {% get_pages as pages %}
                    {% include 'web/partials/pagination.html' with pages=pages %}
                {% endif %}
            </div>
        </div>
    </div>
{% endblock %}


{% block modal_windows %}
    {% include 'gallery/photoswipe-overlay.html' %}
{% endblock %}

{% block scripts %}
    {{ block.super }}
    {% include 'gallery/photoswipe-gallery-scripts.html' %}
    <script src="{% static 'web/js/article.js' %}"></script>
{% endblock %}